Schedules
Generated from Depllo's own code: every route in this area, what it takes and how to call it.
| Method | Path | What it does |
|---|---|---|
GET |
/api/v1/schedules |
List schedules |
DELETE |
/api/v1/schedules/{id} |
Delete a schedule |
PATCH |
/api/v1/schedules/{id} |
Update a schedule |
List schedules
GET /api/v1/schedules
Example
curl -X GET "https://depllo.forjio.com/api/v1/schedules" \
-H "Authorization: Bearer sk_live_<your API key>"
Delete a schedule
DELETE /api/v1/schedules/{id}
Path parameters
| Name | Type | Required | Notes |
|---|---|---|---|
id |
string | yes |
Example
curl -X DELETE "https://depllo.forjio.com/api/v1/schedules/:id" \
-H "Authorization: Bearer sk_live_<your API key>"
Update a schedule
PATCH /api/v1/schedules/{id}
Path parameters
| Name | Type | Required | Notes |
|---|---|---|---|
id |
string | yes |
Body
| Field | Type | Required | Notes |
|---|---|---|---|
cron |
string | no | min length 9; max length 100 |
ref |
string | no | min length 1; max length 300 |
active |
boolean | no | |
variables |
object | no |
Example
curl -X PATCH "https://depllo.forjio.com/api/v1/schedules/:id" \
-H "Authorization: Bearer sk_live_<your API key>" \
-H "Content-Type: application/json" \
-d '{"cron":"…","ref":"…","active":false,"variables":{}}'